%define _develpackage 0

Name: PolicyKit-kde
Version: 4.2.0
Release: 3%{?dist}
Summary: PolicyKit integration for the KDE desktop

Group: System Environment/Libraries
License: GPLv2+ and LGPLv2+
URL: http://www.kde.org
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/extragear/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs4-devel >= 4.1
BuildRequires:  PolicyKit-devel >= 0.8
BuildRequires:  cmake
BuildRequires:  gettext

# This can be used by apps which want to use the PolicyKit
# frontend implementation of the desktop they are running under
Provides: PolicyKit-authentication-agent

%description
This package provides a PolicyKit Authentication Frontend for KDE

%package devel
Summary: Headers and libraries for PolicyKit-kde
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel

%description devel
Headers and libraries for PolicyKit-kde

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd


make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_kde4_bindir}/*
%{_kde4_libdir}/libpolkitkdeprivate*.so.*
%{_kde4_libdir}/kde4/*
%{_kde4_datadir}/dbus-1/services/*
%{_kde4_libexecdir}/*
%{_kde4_sharedir}/kde4/services/*

%if %{_develpackage}
%files devel
%defattr(-,root,root,-)
%{_kde4_libdir}/*.so
%else
%exclude %{_kde4_libdir}/*.so
%endif

%changelog
* Fri Feb 27 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.0-3
- Provides: PolicyKit-authentication-agent

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 23 2009 Than Ngo <than@redhat.com> - 4.2.0-1
- 4.2.0

* Thu Jan 08 2009 Than Ngo <than@redhat.com> - 0.0-0.1.20081219svn
- initial version
